Update a task item
curl --request PUT \
--url https://api.trycomp.ai/v1/task-management/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"assigneeId": {}
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', assigneeId: {}})
};
fetch('https://api.trycomp.ai/v1/task-management/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/task-management/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"assigneeId": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "tski_abc123def456",
"title": "Review vendor contract",
"description": {},
"status": "todo",
"priority": "urgent",
"entityId": "<string>",
"entityType": "vendor",
"assignee": {
"id": "<string>",
"user": {}
},
"createdBy": {
"id": "<string>",
"user": {}
},
"updatedBy": {
"id": "<string>",
"user": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Task Management
Update a task item | Comp AI API
Update a task item in Comp AI. Manage task items and attachments linked to operational entities such as risks and vendors.
PUT
/
v1
/
task-management
/
{id}
Update a task item
curl --request PUT \
--url https://api.trycomp.ai/v1/task-management/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"title": "<string>",
"description": "<string>",
"assigneeId": {}
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', assigneeId: {}})
};
fetch('https://api.trycomp.ai/v1/task-management/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/task-management/{id}"
payload = {
"title": "<string>",
"description": "<string>",
"assigneeId": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"id": "tski_abc123def456",
"title": "Review vendor contract",
"description": {},
"status": "todo",
"priority": "urgent",
"entityId": "<string>",
"entityType": "vendor",
"assignee": {
"id": "<string>",
"user": {}
},
"createdBy": {
"id": "<string>",
"user": {}
},
"updatedBy": {
"id": "<string>",
"user": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
API key for authentication
Path Parameters
Task item ID
Example:
"tski_abc123def456"
Body
application/json
Response
200 - application/json
Task item updated successfully
Task item ID
Example:
"tski_abc123def456"
Task title
Example:
"Review vendor contract"
Task description
Task status
Available options:
todo, in_progress, in_review, done, canceled Task priority
Available options:
urgent, high, medium, low ID of the entity this task belongs to
Type of entity
Available options:
vendor, risk Assignee information
Show child attributes
Show child attributes
Creator information
Show child attributes
Show child attributes
Last updater information
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
Was this page helpful?

